package com.wdkl.ncs.android.middleware.logic.presenter.extra

import com.wdkl.ncs.android.lib.base.RxPresenter
import com.wdkl.ncs.android.middleware.di.MiddlewareDaggerComponent
import com.wdkl.ncs.android.middleware.logic.contract.extra.ScanContract
import javax.inject.Inject

/**
 * Created by LDD on 2018/11/5.
 */
class ScanPresenter  @Inject constructor() : RxPresenter<ScanContract.View>(),ScanContract.Presenter {


    override fun bindDagger() {
        MiddlewareDaggerComponent.component.inject(this)
    }
}